options {
  REMOVE_BLANKS
  TABULATOR("[","][","]\n")
}
PAGE AllConferences

//   This wrapper refers to the DBLP site at Trier
//   (http://www.informatik.uni-trier.de/~ley/db/). 
//   It extracts data from the page containing
//   the list of all conferences in the site
//   (conf/index.a.html), mirrored in this distribution 
//    in file araneusWTK\examples\html\conf-index.html

$AllConferences: *<hr> ( $ConfWithInitial )+ ;

$ConfWithInitial:
    <h3>                             // see X,Y,Z
      <a[ ]name="[a-z]">$Initial</a>(,<a[ ]name="[a-z]">[A-Z]</a>)*
    </h3>
    ( 
      <ul>  
        (<li><a[ ]href="$ConfURL">$Acronym</a> $TmpConfName
         { $ConfName.replaceAll("[(]*[)]",""); } $TP1
        )* 
      </ul>
    )? ;

$Initial: [A-Z];

$TmpConfName:    - (\s)? $ConfName;
EXCEPTION()
{
    $ConfName.reset();  
    $Acronym.cutAll();        // Append $Acronym ..
    $ConfName.paste();
    $TmpConfName.cutAll();    // ... and $TmpConfName documents...
    $ConfName.put(" ");       // ... separated by a space...
    $ConfName.paste();        // ... to form $ConfName 
}

$TP1:
[
    $Initial    char(1),
    $Acronym    char(100),
    $ConfName   char(255),
    $ConfURL    char(255)
    
]
END


