PAGE AuthorPage

//   This wrapper refers to the DBLP site at Trier
//   (http://www.informatik.uni-trier.de/~ley/db/). 
//   It extracts data from pages containing the list
//   of papers of an author, like, for example
//   Codd (indices/a-tree/c/Codd:E=_F=.html).

$PaperList:
    *<h1>$AuthorName</h1>
    *<hr>\n
    $HomePageRegion $TP0
    <table[ ]border=1>\n
    (
          <tr><th[ ]colspan=3[ ]bgcolor="#FFFFCC">$Year</th></tr>\n
      ( 
        <tr><td[ ]align="right"[ ]bgcolor="*">(\d)+</td>
                (<td[ ]bgcolor="*"><a[ ]href="$ToPaper">EE</a></td>
                |<td>&nbsp[;]</td>)
            <td>$AuthorList[:]\n$Title\n
            (<a[ ]href="$ToRefPage">)?$Reference
            {
               $Reference.replace("[(]\\d\\d\\d\\d[)]","");
               $Reference.replaceAll("<*>","");
               $Reference.reset();
               if ($Reference.search(": (?\\d)")) {
                 $Reference.cut();
                 ParsePages($Reference);
               }
               $Reference.cut();
            }
            </td>
            </tr>\n $TP1 { $ToPaper.clear();  }
                         { $Authors.clear();  }
                         { $Pages.clear();    }
                         { $Year.clear();     }
                         { $ToRefPage.clear();}
      )+
        )+
    </table>\n
        <hr> ;

$AuthorList:  $Author (,\n $Author)* ;

$Author:    (<a[ ]href="$ToAuthorPage">)? $Authors (</a>)? ;

APPEND(", ")
$Authors: $Name;

$Year:           \d\d\d\d;
$Pages:         (\d)+ (-(\d)*)?;

$HomePageRegion: <a[ ]href=*"$HomePage">(Home[ ]Page
                        |Search[ ]Home[ ]Page[ ]with[ ]HPSearch
                            { $HomePage.clear(); } 
                                        )
                       </a>*;

EXCEPTION()
    {
      $HomePageRegion.reset();
      $anchor.setCaseSensitive(false);
      while ($HomePageRegion.loopSearch("<a *>*</a>")) {
        $HomePageRegion.copy();
        $ref.clear(); $ref.paste(); $ref.reset();
        Parseref($ref);
        $anchor.reset();
        if ($anchor.search("home")) {
          $link.copyAll();
          $HomePage.paste();
          break;
        }
      }
    }

$ref: <a[ ]href=*"$link">$anchor</a>;

$TP1: 
[
    $Authors          char(255),
    $Title            char(128),
    $Reference        char(128),
    $ToRefPage        char(128),
    $Year             char(4),
    $Pages            char(9)
]

END
